Update a private equity fund

PUT/api/portfolio/assets/private-equity-funds/{id}

Path parameters

  • idstringRequired#

Request body

Body shape: Portfolio_UpdatePrivateEquityFundRequest (required)

Responses

200`AssetResource`
{}
403Forbidden.Error
422Validation error.Error
curl -X PUT https://your-url.com/kong/core/api/gateway/api/portfolio/assets/private-equity-funds/{id}\
  -H "Authorization: Bearer $DELIO_API_KEY"\
  -H "Content-Type: application/json"\
  -d '{
  "client_reference": "client_reference",
  "name": "name",
  "source": "source",
  "source_id": "source_id",
  "description": "description",
  "class": "cash",
  "currency": "currency",
  "investor_subscription_distribution": true,
  "manual_valuation": true,
  "show_fund_activity_to_investors": true,
  "investor_fund_investment_assignment": true,
  "parent_asset_id": 1,
  "subposition_type": "class",
  "valuation": 1,
  "valuation_date": "valuation_date",
  "term_of_fund": "term_of_fund",
  "vintage": 1900,
  "style": "style",
  "fund_type": "open_ended",
  "subscription_type": "drawdown",
  "sector_allocation": "sector_allocation",
  "geographic_allocation": "geographic_allocation"
}'